/*
Copyright (c) 2006-2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation nor the names of its contributors
 may be used to endorse or promote products derived from this software
 without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Description: 
*/


#include "AnimExample.h"

// Second phase constructor of the application UI class.
// It creates and owns a single view.
void CAnimationAppUi::ConstructL()
    {
    
	// Complete the UI framework's construction of the App UI.
	BaseConstructL();
	// Create the appview.
	iAppView = CAnimationAppView::NewL(ClientRect());
	}

// The application UI class owns one view, and is responsible for destroying it
CAnimationAppUi::~CAnimationAppUi()
	{
	delete iAppView;
	}

// Called by the UI framework when a command has been issued.
void CAnimationAppUi::HandleCommandL(TInt aCommand)
	{
	
	switch (aCommand)
		{
	case EAnimToDo0:
		
		iAppView->ResetSpriteAnimAndMover();
		iAppView->ProduceSpriteAnimL();
		break;				 
	
	case EAnimToDo1:
	
		iAppView->ResetBasicAnimAndMover();
		iAppView->ProduceBasicAnimL();
		break;
	
	case EAnimToDo2:

		iAppView->DoSpriteAnimOperationL( EAnimPause );
		break;
		
	case EAnimToDo3:	

		iAppView->DoSpriteAnimOperationL( EAnimResume );
		break;
		
		case EAnimToDo4:
		iAppView->DoSpriteAnimOperationL( EAnimStop );
				
		break;
		
	case EAnimToDo5:

		iAppView->MoveAnimsL();
		break;				 
	
	case EAnimToDo6:

		iAppView->DoBasicAnimOperationL( EAnimPause );
		break;

	case EAnimToDo7:

		iAppView->DoBasicAnimOperationL( EAnimResume );
		break;
		
	case EAnimToDo8:
	
		iAppView->DoBasicAnimOperationL( EAnimStop );
		break;
			
	case EAnimToDo9:	
	case EEikCmdExit:
	
		Exit();
		break;
		}
		
	}

	


